=== debian/changelog ===
conler (0.1.2) unstable; urgency=low

  * Extended command options support:
     * Ability to enable/disable command
     * Ability to switch commands execution environment (non-root/superuser)
  * Fixed incorrect command launching in foreground
  * Package:
     * Application manager won't ask user anymore where
       to place conler's shortcut on upgrade
     * 'XB-Maemo-Display-Name' added to provide a pretty
       human-readable program name in Application Manager
     * Ability to show "Contains major changes" messagebox on upgrade
       (NOTIFY_MAJOR_CHANGES)
  * GUI:
     * Memleaks fixed
     * Promote/Demote command arrow cells removed (corresponding toolbuttons
       must be user instead)
     * Enhanced geometry of add/edit dialogs
     * Insertion of objects (AP/Command) is performed to the position
       after current selected one
     * Help added
     * Fixed incorrect (segmentation fault) exit on window destroy (delete event)
  * Documentation, FAQ added

 -- Andrew Sichevoi <k@thekondor.net>  Fri,  9 Jan 2009 13:01:24 +0300

conler (0.1.1) unstable; urgency=low

  * Package:
     * Application manager now asks user after installation
       where to place conler's shortcut
     * postinst script doesn't make dummy configuration file
       anymore if it doesn't exist
  * GUI:
     * If configuration file can't be read:
          - Descriprtive message is shown
          - New configuration file is created from the scratch
     * Scrolling added for AP and Cmd lists
     * AP List isn't collapsed anymore when it is empty
     * Captions added for AP and Cmd lists
     * Fixed Unexpected shutdowns of conler-gui

 -- Andrew Sichevoi <k@thekondor.net>  Sun, 16 Nov 2008 20:06:18 +0300

conler (0.1) unstable; urgency=low

  * Initial release

 -- Andrew Sichevoi <k@thekondor.net>  Sun,  9 Nov 2008 19:38:49 +0300
