=== debian/control ===
Source: conler
Section: user/network
Priority: extra
Maintainer: Andrew Sichevoi <k@thekondor.net>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.12.12), libxml2-dev (>= 2.6.27), libgtk2.0-dev (>= 2.10.12), libgconf2-dev (>= 2.6.10), libosso-dev (>= 2.13), libhildonhelp-dev (>= 1.9.6)
Standards-Version: 3.7.2

Package: conler
Architecture: any
#Depends: libxml2 (>= 2.6.27), libglib2 (>= 2.12), libgtk2 (>= 2.10), libgconf2-6 (>= 2.16), libosso1 (>= 2.13)
Description: Wi-Fi connection handler
 Conler is a simple application which allow to
 configure a sequence of commands which will be
 executed on connections with Wi-Fi access points.
 .
 Conler provides user with a handy GUI tool
 to make such configuration easy. User is free
 to add unlimited number of rules for each Access Point.
 .
 Latest version can be found at http://thekondor.net/conler
 Bug-reports and suggestions please send to conler-maemo @ thekondor.net
Homepage: http://thekondor.net/conler
Bugs: mailto:conler-maemo@thekondor.net
XB-Maemo-Display-Name: Wi-Fi Connection Handler
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gL
 CQw5JXT76uAAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAK
 tUlEQVRIDQGqClX1AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRrXCgAAAAJAAAAAAAAAAEAAADQ
 7JWk/gAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AQAAAAAAAAAAAAAAAAAAAAAAAAAAE2pbRgEBAUsAAABH////JwEBAQAAAAAAAAAA
 AP///wAAAAAAAQEB9f///8QBAQGk////ru2WpfYAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAUa1yA////fwEBAf8AAAABAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAP8AAAABAAAAAP///2cBAQGb7JWk/wAA
 AAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAACxAQEBAAAAAAEA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAA/wAAAJn/
 ///BFGtcEwAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAA
 E2pb/wAAAAABAQEAAAAA7/////EBAQH9AAAAAAAAAAEAAAAT////DwEBAQAAAAAA
 AAAAAAAAAAAAAAD/////3gEBATXslaTvAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAA
 AAAAAAAAAAAAE2pb2QEBARgAAABa////ybuh1e0BAQEOAAAAHQAAACW1JA/nojEX
 I+0JBKEAAAACAQEBAQAAAAAAAAAAAAAAAP///98AAAAk7Zal/gAAAAAAAAAABAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAbeyVpLoAAAAAzgswGQAAAMYAAAAuAAAACv//
 /wBL3PEAStvw8uEPB8lkTyMmAAEBFAAAAAAAAAAAAAAA/wEBASEAAACdAAAAYQAA
 AAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADPDDEf////2QAAAAcA
 AAD/AQEBAQAAAAAAAAAA/////wEBAQHnDAXpXlIlCQABAQ0AAAABAAAAAP////8B
 AQEBAAAAEuyVpO8AAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADN
 AQEBBwEBAQABAQEBAAAAAAAAAAAAAAAAAQEBAQAAAAAZ9PsXacvo9v///wEAAAD/
 AAAAAAEBAQH///8A////sAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AM8MMT0AAAAT/////wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD/Udbt
 FgT9/+IAAAABAAAAAAAAAAAAAAD/AAAAPhRrXCEAAAAAAgAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAACYAAAAAAQEBAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAABAQEBACns9qz///8AAAAAAAAAAAABAQEBAQEBAAAAAEAAAAAAAgAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAANz///8AAAAA/wAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAD//////w75/cwBAQH+AAAAAAAAAAAAAAAA/////////ywA
 AAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADH0z8EBAQHqAAAAAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAD///8BAAAA2MUeDt3////9AAAAAAAAAAAAAAAA
 AQEBAQEBARgAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD///8yAAAA
 +QAAAP8AAAAAAAAAAAAAAAAAAAAAAAAAAP////8BAQHuAAAAMwEBAQAAAAAAAAAA
 AAAAAAAAAAAAAAAAAP///wAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAy9dDl////MgAAALj///8A////AAAAAAD///8A////AAEBAasAAAAtMvXQ+f//
 /wQAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAMvXQ1gAAAEoAAAAAzgswTv///yMAAADWMvXQuQAAAAAA
 AAAAAAAAAAEBAUcAAAAEAAAAAAAAAAAAAAAAAAAA/wAAAPYAAAAABAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAABRrXAQAAACH////fe2WpfgAAAAAMvXQsgAAAAAAAAAA
 AAAAAAAAAAAAAAAAFGtcJ////34AAAAAAQEBAAAAAAAAAAAA////AQAAAMsAAAAA
 AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAP4AAAA8AQEB8xNqW7kTaltgAAAA
 AAAAAAAAAAAAAAAAAAAAAAATalttAAAAxwEBAQAAAAD/AAAAAAAAAAAAAAD/AAAA
 AAEBAawAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAUa1yf////YAEB
 AQAAAAAAAAAAAP///+MAAAD3AQEBAv///yQBAQEA////AAEBAQAAAAAAAAAAAAAA
 AP8AAAAB////Ze2WpZwAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD/
 ///UAAAAAAAAAAAAAAAA/////wEBAR3///8AAAAAAAEBAQAAAAAAAQEBAAAAAAAA
 AAAAAAAA/wAAAAH///+W7ZalnAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAC7AQEB/////wAAAAAAAQEBAQAAAAABAQEAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAA////+QAAAIrtlqVrAAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAADtlqXS////BgAAAEQAAACuAAAA/AAAAAD///8A////
 AP///wAAAAAA////AP////j///+CAQEBD+yVpHcAAAAAAAAAAAAAAAAAAAAAAQAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABRr
 XBb///8aAAAAAQAAAAABAQEBAAAA7OyVpOIAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAPadvRTkC8KkAAAAASUVORK5CYII=
