=== doc/Makefile ===

BUILDIR=$(shell /bin/pwd)/build
SPHINX=../3rd/sphinx/sphinx-build.py

.PHONY: doc
all: doc

doc:
	@mkdir -p $(BUILDIR)
	@$(SPHINX) -b htmlhelp -a -c _sphinx/ . $(BUILDIR)
	@/usr/bin/find $(BUILDIR) -name '*.hhc' -or -name '*.hhk' -or -name '*.hhp' -or -name '*.stp' | /usr/bin/xargs rm -f
	@mkdir $(BUILDIR)/recipes
	@/usr/bin/find recipes -name '*.sh' -or -name '*.py' | xargs -I '{}' cp '{}' $(BUILDIR)/recipes

final-doc:
	@


.PHONY: clean
clean:
	@/bin/rm -rdf $(BUILDIR)
