=== src/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 ifeq ($(shell /bin/grep RX /etc/osso_software_version | /usr/bin/wc -l), 1)
 	CFLAGS += -DMAEMO
 	COMMON_PKGS += libosso
-	GUI_PKGS += hildon-1 hildon-help
+	GUI_PKGS += hildon-1 hildon-help conic
 	CLI_PKGS = gconf-2.0
 endif
 COMMON_CFLAGS = $(shell /usr/bin/pkg-config --cflags $(COMMON_PKGS))
