=== debian/changelog ===
conler (0.1.3.1) unstable; urgency=low

  * Unexpanded escaped (to octal sequences) unicode symbols in commands
    caused incorrect commant execution.
 
 -- Andrew Sichevoi <k@thekondor.net>  Thu, 17 Sep 2009 19:20:49 +0400

conler (0.1.3) unstable; urgency=low

  * Package:
     * Set 'user:users' permissions to ~/.config on install
  * Ability to switch command run mode: foreground/background (default: background)
  * GUI:
     * Drag'n'Drop support for AP and Command lists
     * Ability to select existent AP from the list on AP add/edit
     * Command suggestions pop-up on command add/edit

 -- Andrew Sichevoi <k@thekondor.net>  Mon,  9 Feb 2009 21:18:08 +0300
