=== debian/control ===
Source: conler
Section: user/network
Priority: extra
Maintainer: Andrew Sichevoi <k@thekondor.net>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.12.12), libxml2-dev (>= 2.6.27), libgtk2.0-dev (>= 2.10.12), libgconf2-dev (>= 2.6.10), libosso-dev (>= 2.13), libhildonhelp-dev (>= 1.9.6), libconic0-dev (>= 0.13)
Standards-Version: 3.7.2

Package: conler
Architecture: any
#Depends: libxml2 (>= 2.6.27), libglib2 (>= 2.12), libgtk2 (>= 2.10), libgconf2-6 (>= 2.16), libosso1 (>= 2.13)
Description: Wi-Fi connection handler
 Conler is a simple application which allow to
 configure a sequence of commands which will be
 executed on connections with Wi-Fi access points.
 .
 Conler provides user with a handy GUI tool
 to make such configuration easy. User is free
 to add unlimited number of rules for each Access Point.
 .
 Latest version can be found at http://thekondor.net/conler
 Bug-reports and suggestions please send to conler-maemo @ thekondor.net
Homepage: http://thekondor.net/conler
Bugs: mailto:conler-maemo@thekondor.net
XB-Maemo-Display-Name: Wi-Fi Connection Handler
